Package com.independentsoft.office.spreadsheet

# Enum Class CellType

java.lang.Object
java.lang.Enum<CellType>
com.independentsoft.office.spreadsheet.CellType

All Implemented Interfaces:
  `Serializable`, `Comparable<CellType>`, `Constable`

public enum CellType extends Enum<CellType>
The Enum CellType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOOLEAN`
  `ERROR`
  `INLINE_STRING`
  `NONE`
  `NUMBER`
  `SHARED_STRING`
  `STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CellType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CellType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOOLEAN

    public static final CellType BOOLEAN

  - ### ERROR

    public static final CellType ERROR

  - ### INLINE_STRING

    public static final CellType INLINE_STRING

  - ### NUMBER

    public static final CellType NUMBER

  - ### SHARED_STRING

    public static final CellType SHARED_STRING

  - ### STRING

    public static final CellType STRING

  - ### NONE

    public static final CellType NONE

- ## Method Details

  - ### values

    public static CellType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CellType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null